aboutsummaryrefslogtreecommitdiffstats
path: root/contrib
diff options
context:
space:
mode:
authorHarald Welte <laforge@gnumonks.org>2017-07-10 14:54:24 +0200
committerHarald Welte <laforge@gnumonks.org>2017-07-10 14:55:25 +0200
commit7887ce7aeaf5d5fa5c1ac29341fa67814921dccc (patch)
treefc372e73cf9c0b9a6c444e1a3013a4158d8f4b75 /contrib
parent6a538a092106e448a354e42c161ea7630e457455 (diff)
jenkins helpers: some minimal documentation/comments + print errors
We should print meaningful error messages in case a user doesn't have the required local PATH set up, or doesn't specify a required command line argument. Change-Id: I30a2935f93ade69222b1e0c3e212ee10e17c1823
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/jenkins_bts_model.sh8
-rwxr-xr-xcontrib/jenkins_bts_trx.sh1
-rw-r--r--contrib/jenkins_common.sh9
-rwxr-xr-xcontrib/jenkins_lc15.sh1
-rwxr-xr-xcontrib/jenkins_oct.sh1
-rwxr-xr-xcontrib/jenkins_oct_and_bts_trx.sh1
-rwxr-xr-xcontrib/jenkins_sysmobts.sh1
7 files changed, 22 insertions, 0 deletions
diff --git a/contrib/jenkins_bts_model.sh b/contrib/jenkins_bts_model.sh
index c44daa7e..33bfdc7c 100755
--- a/contrib/jenkins_bts_model.sh
+++ b/contrib/jenkins_bts_model.sh
@@ -1,6 +1,14 @@
#!/bin/sh
+# this is a dispatcher script which will call the bts-model-specific
+# script based on the bts model specified as command line argument
+
bts_model="$1"
+if [ "x$bts_model" == "x" ]; then
+ echo "Error: You have to specify the BTS model as first argument, e.g. $0 sysmo"
+ exit 2
+fi
+
if [ ! -d "./contrib" ]; then
echo "Run ./contrib/jenkins_bts_model.sh from the root of the osmo-bts tree"
exit 1
diff --git a/contrib/jenkins_bts_trx.sh b/contrib/jenkins_bts_trx.sh
index 076a4fff..9e958097 100755
--- a/contrib/jenkins_bts_trx.sh
+++ b/contrib/jenkins_bts_trx.sh
@@ -1,4 +1,5 @@
#!/bin/sh
+# jenkins build helper script for osmo-bts-trx
# shellcheck source=contrib/jenkins_common.sh
. $(dirname "$0")/jenkins_common.sh
diff --git a/contrib/jenkins_common.sh b/contrib/jenkins_common.sh
index 824dd43a..bce771d8 100644
--- a/contrib/jenkins_common.sh
+++ b/contrib/jenkins_common.sh
@@ -1,5 +1,14 @@
#!/bin/sh
+# this is a common helper script that is shared among all BTS model
+# specific helper scripts like jenkins_sysmobts.sh. You shouldn't call
+# this directly, but rather indirectly via the bts-specific scripts
+
+if ! [ -x "$(command -v osmo-deps.sh)" ]; then
+ echo "Error: We need to have scripts/osmo-deps.sh from http://git.osmocom.org/osmo-ci/ in PATH !"
+ exit 2
+fi
+
set -ex
base="$PWD"
diff --git a/contrib/jenkins_lc15.sh b/contrib/jenkins_lc15.sh
index af335d51..a2d95149 100755
--- a/contrib/jenkins_lc15.sh
+++ b/contrib/jenkins_lc15.sh
@@ -1,4 +1,5 @@
#!/bin/sh
+# jenkins build helper script for osmo-bts-lc15
# shellcheck source=contrib/jenkins_common.sh
. $(dirname "$0")/jenkins_common.sh
diff --git a/contrib/jenkins_oct.sh b/contrib/jenkins_oct.sh
index 6ad53586..b3dc07fd 100755
--- a/contrib/jenkins_oct.sh
+++ b/contrib/jenkins_oct.sh
@@ -1,4 +1,5 @@
#!/bin/sh
+# jenkins build helper script for osmo-bts-octphy
# shellcheck source=contrib/jenkins_common.sh
. $(dirname "$0")/jenkins_common.sh
diff --git a/contrib/jenkins_oct_and_bts_trx.sh b/contrib/jenkins_oct_and_bts_trx.sh
index a8a8004b..c23009d1 100755
--- a/contrib/jenkins_oct_and_bts_trx.sh
+++ b/contrib/jenkins_oct_and_bts_trx.sh
@@ -1,4 +1,5 @@
#!/bin/sh
+# jenkins build helper script for osmo-bts-octphy + osmo-bts-trx
# shellcheck source=contrib/jenkins_common.sh
. $(dirname "$0")/jenkins_common.sh
diff --git a/contrib/jenkins_sysmobts.sh b/contrib/jenkins_sysmobts.sh
index 227f249a..6645181f 100755
--- a/contrib/jenkins_sysmobts.sh
+++ b/contrib/jenkins_sysmobts.sh
@@ -1,4 +1,5 @@
#!/bin/sh
+# jenkins build helper script for osmo-bts-sysmo
# shellcheck source=contrib/jenkins_common.sh
. $(dirname "$0")/jenkins_common.sh